part of cresce_ui;

class CInputText extends StatelessWidget {
  final TextEditingController? field;
  final bool enabled;
  final bool readonly;
  final bool isPassword;
  final String label;
  final IconData? icon;
  final VoidCallback? onTap;
  final TextInputType? keyboardType;
  final List<TextInputFormatter>? inputFormatters;
  final void Function(String value)? onChanged;

  const CInputText({
    Key? key,
    this.field,
    this.enabled = true,
    this.isPassword = false,
    required this.label,
    this.icon,
    this.onTap,
    this.readonly = false,
    this.keyboardType = TextInputType.text,
    this.inputFormatters,
    this.onChanged,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return TextFormField(
      onTap: onTap,
      enabled: enabled,
      controller: field,
      obscureText: isPassword,
      keyboardType: keyboardType,
      readOnly: readonly,
      style: CTextStyles.fieldSecondaryVar1,
      inputFormatters: inputFormatters,
      onChanged: onChanged,
      decoration: InputDecoration(
        labelStyle: CTextStyles.labelPrimary,
        labelText: label,
        isDense: true,
        contentPadding: const EdgeInsets.only(bottom: 5.0, left: 8.0),
        enabledBorder: UnderlineInputBorder(
          borderSide: BorderSide(
            color: CColors.primaryVar1,
            width: 1.5,
          ),
        ),
      ),
    );
  }
}
