part of cresce_ui;

class CMenuItem extends StatelessWidget {
  final String label;
  final IconData iconData;
  final VoidCallback? onTap;
  final Size size;

  const CMenuItem({
    Key? key,
    required this.label,
    required this.iconData,
    this.onTap,
    this.size = const Size(0, 44),
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return CSmallModal(
      size: size,
      onTap: onTap,
      child: Padding(
        padding: const EdgeInsets.only(left: 20.0),
        child: Row(
          children: [
            Icon(iconData, size: 20.0, color: CColors.primary),
            const SizedBox(width: 6.0),
            CText(label: label, style: CTextStyles.fieldSecondaryVar1),
          ],
        ),
      ),
    );
  }
}
