part of cresce_ui;

class CToast extends StatelessWidget {
  final String message;
  final double? width;
  const CToast({
    Key? key,
    required this.message,
    this.width,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
      width: width,
      height: 40.0,
      decoration: BoxDecoration(
        borderRadius: BorderRadius.circular(8.0),
        color: CColors.secondary,
        border: Border.all(width: 1.0, color: CColors.alert),
        boxShadow: const [CBoxShadow()],
      ),
      child: Row(children: [
        Padding(
          padding: const EdgeInsets.all(8.0),
          child: Icon(
            FontAwesomeIcons.triangleExclamation,
            size: 18.0,
            color: CColors.alert,
          ),
        ),
        Padding(
          padding: const EdgeInsets.only(left: 8),
          child: CText(
            label: message,
            style: CTextStyles.fieldAlert,
          ),
        ),
      ]),
    );
  }
}
